/*
 * misc.c - some small functions, but sometimes useful functions.
 * Copyright (C) 2005-2006 Shobbo, urug
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
*/

#include <stdio.h>	/* puts	  */
#include <stdlib.h>	/* malloc */
#include "misc.h"



/*
** Safest way to allocate new memory. You don't need to check returned
** pointer.
*/
void *
alloc( size_t size )
{
    void *new_mem;


    /* Allocate memory. */
    new_mem = malloc( size );

    if( new_mem == NULL )
    {
	puts("Critical error, out of memory.");
	exit(1);
    }

    return new_mem;
}
